<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('catalog_items_attachments', function (Blueprint $table): void {
            $table->boolean('is_enabled')->default(true)->after('orden');
        });
    }

    public function down(): void
    {
        Schema::table('catalog_items_attachments', function (Blueprint $table): void {
            $table->dropColumn('is_enabled');
        });
    }
};
